@import "~@/assets/sass/theme.sass"

.header
  display: grid
  grid-template-columns: 1fr 1fr
  grid-column-gap: 32px
  padding: 72px 0 148px 0
  @media (max-width: $mobile-bp)
    padding: 72px 0 52px 0
    grid-template-columns: 1fr
  &-wrapper
    width: 100%
    background-size: 100% 100%
    background-position: center
    background-repeat: no-repeat
    background-image: url("~@/assets/images/header_bg_pc.png")
    @media (max-width: $mobile-bp)
      background-image: url("~@/assets/images/header_bg_mobile.png")
  &__image
    width: 100%
    height: 265px
    background-size: contain
    background-position: center
    background-repeat: no-repeat
    background-image: url("~@/assets/images/pc_header_image.svg")
    @media (max-width: $mobile-bp)
      background-image: url("~@/assets/images/mobile_header_image.svg")
      margin-bottom: 64px

  &-section
    display: flex
    flex-direction: column
    justify-content: center
  &__title
    font-size: 48px
    line-height: 55px
    font-weight: 500
    color: white
    margin-bottom: 8px
  &__text
    font-size: 18px
    line-height: 27px
    color: white
    margin-bottom: 60px
    @media (max-width: $mobile-bp)
      margin-bottom: 28px
  &-btn-section
    display: flex
    align-items: center
    @media (max-width: $mobile-bp)
      align-items: stretch
    &.mobile
      display: none
      flex-direction: column
      @media (max-width: $mobile-bp)
        display: flex
      .header-btn-section
        &__arrow-btn
          flex-direction: column
          &::before
            height: 25px
            margin-right: 0
            margin-bottom: 12px
            transform: rotate(90deg)
        &__btn
          margin-right: 0
          margin-bottom: 16px
    &.pc
      @media (max-width: $mobile-bp)
        display: none
    &__btn
      text-align: center
      padding: 16px 32px
      border-radius: 5px
      background-color: white
      margin-right: 12px
      font-size: 12px
      line-height: 18px
      color: #0033CC
      text-transform: uppercase
      cursor: pointer
    &__arrow-btn
      display: flex
      align-items: center
      cursor: pointer
      color: white
      font-size: 12px
      line-height: 18px
      font-weight: 500
      &::before
        content: ''
        width: 26px
        height: 8px
        mask: url("~@/assets/images/arrow_left.svg") no-repeat center / contain
        background-color: white
        margin-right: 12px